import PropTypes from 'prop-types';
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { SKELETON_CLASS_NAME } from './config.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var SkeletonCard = function SkeletonCard(_ref) {
  var icon = _ref.icon,
      text = _ref.text;
  return /*#__PURE__*/_jsxs("li", {
    className: SKELETON_CLASS_NAME,
    children: [/*#__PURE__*/_jsx("div", {
      className: SKELETON_CLASS_NAME + "-icon",
      children: /*#__PURE__*/_jsx(AtomIcon, {
        size: ATOM_ICON_SIZES.medium,
        children: icon
      })
    }), /*#__PURE__*/_jsx("div", {
      className: SKELETON_CLASS_NAME + "-text",
      children: text
    })]
  });
};

SkeletonCard.displayName = 'SkeletonCard';
export default SkeletonCard;